Kerbal Space Program - Bug #9473

Disappearing craft model during faring overlay in VAB
04/24/2016 10:46 PM - krimsalt

Status: Closed Start date: 04/24/2016
Severity: Low % Done: 100%
Assignee:

Category: Camera

Target version: 1.7.2

Version: 1.1.0 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion:

Description

When in the VAB, when | build a faring to cover a payload and hover the mouse over it for exploded view, the models that are directly
under exploded panels of the faring disappear and you see right through.

They are still able to be selected. But the weird texture anomaly can be unattractive to new players.

It also only seems to happen at certain camera orientations and whether or not the craft was auto-loaded in the VAB (e.g. like in
"revert to vehicle assembly")

History

#1 - 07/17/2016 09:47 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 07/18/2016 11:42 PM - Perry_Apsis
- File screenshot0.png added

Found a way to reproduce the issue, or one much like it.

Load in sequence:

mk1 capsule

Rockomax Jumbo-64

ae-ff3, close fairing around all of the above

place fl-t800 NOT TOUCHING assembled craft, but nearby

rotate view so that fI-t800 is partially obscuring Jumbo-64

Grab another fI-t800, and hold it so that it is partly obscuring the other fl-t800

The fairing should now be exploded, and the part of the jumbo-64 that's covered by the tank you're holding can now be seen through.

#3 - 07/19/2016 02:13 AM - Perry_Apsis
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

#4 - 07/19/2016 08:47 AM - TriggerAu
Thanks Perry_Apsis

Awesome nick btw

#5 - 07/19/2016 10:30 AM - sal_vager
- Status changed from Updated to Confirmed

- Platform Linux added

Confirmed on Linux with the supplied steps, thanks Perry_Apsis.

#6 - 06/13/2019 08:28 PM - nestor

- Status changed from Confirmed to Ready to Test
- Target version set to 1.7.2

- % Done changed from 10 to 80

Fairing shader has changed since then, this is most likely fixed.

#7 - 02/21/2020 01:08 AM - chris.fulton
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

#8 - 02/21/2020 01:08 AM - chris.fulton

- Status changed from Resolved to Closed
